import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (c, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, i) : r, l = c.length - 1, o; l >= 0; l--)
    (o = c[l]) && (e = (t ? o(r, i, e) : o(e)) || e);
  return t && e && u(r, i, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--plusCircleLarge", this.class = "c-pieIcon c-pieIcon--plusCircleLarge", this.name = "IconPlusCircleLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--plusCircleLarge"><path d="M16.875 9.814h-1.75v5.311H9.814v1.75h5.311v5.311h1.75v-5.311h5.311v-1.75h-5.311z"></path><path d="M24.663 7.338A12.25 12.25 0 1 0 7.339 24.663 12.25 12.25 0 0 0 24.663 7.338m-1.234 16.09A10.5 10.5 0 1 1 8.605 8.555 10.5 10.5 0 0 1 23.43 23.43"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-plus-circle-large")
], s);
export {
  s as IconPlusCircleLarge
};
